﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Data;
using System.ComponentModel;
using System.Windows.Forms;

namespace ResxCrunch.Plugins
{
    public interface IResxCrunchPlugin
    {
        /// <summary>
        /// Gets the menu image.
        /// </summary>
        /// <value>The menu image.</value>
        Image MenuIcon { get; }

        /// <summary>
        /// Gets the text.
        /// </summary>
        /// <value>The text.</value>
        string Name { get; }

        ///// <summary>
        ///// Initializes the plugin.
        ///// </summary>
        //void InitializePlugin();

        //bool Processdata(Form parentForm, DataGrid grid, string applicationName, ProgressChangedEventHandler ProgressChanged);

        /// <summary>
        /// Processes the passed data.
        /// </summary>
        /// <param name="data">The data that needs processing.</param>
        /// <param name="counter">How many rows were affected.</param>
        /// <returns>Results, null on failure</returns>
        string ProcessData(ref DataTable data, out int counter);
    }
}
