﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ResxCrunch.Utils.FileData
{
    /// <summary>
    /// Resource file info data
    /// </summary>
    public class ResourceData
    {
        #region Initialization
        /// <summary>
        /// Initializes a new instance of the <see cref="ResourceData"/> class.
        /// </summary>
        /// <param name="path">The path to the file</param>
        public ResourceData(string path)
        {
            this.Path = path;           
        }
        #endregion Initialization

        #region Properties
        /// <summary>
        /// Gets or sets path to the Resource file
        /// </summary>
        public string Path { get; set; }
        #endregion Properties
    }
}
