﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ResxCrunch.Utils.FileData
{
    /// <summary>
    /// XmlData file info data
    /// </summary>
    public class XmlData
    {
        #region Initialization
        /// <summary>
        /// Initializes a new instance of the CsvData class
        /// </summary>
        /// <param name="path">The full path to the XmlData file, including the filename</param>
        public XmlData(string path)
        {
            this.Path = path;
        }
        #endregion Initialization

        #region Properties
        /// <summary>
        /// Gets or sets path to the XmlData file
        /// </summary>
        public string Path { get; set; }       
        #endregion Properties
    }
}
