﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ResxCrunch.Utils
{
    /// <summary>
    /// Class containing registry keys.
    /// Acts as a complex constant
    /// </summary>
    public class RegistryKeys
    {
        /// <summary>
        /// Contains the registration info in the registry
        /// </summary>
        public static string RootRegistryEntryName
        {
            get
            {
                return "SOFTWARE\\ResxCrunch";
            }
        }

        /// <summary>
        /// Contains the registration info in the registry
        /// </summary>
        public static string RegistrationInformation
        {
            get
            {
                return "RegInfo";
            }
        }
    }
}
