﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ResxCrunch.Utils
{
    /// <summary>
    /// List of keys used for session
    /// </summary>
    public class SessionKeys
    {
        /// <summary>
        /// Message to display in case of error
        /// </summary>
        public static string ErrorMessage
        {
            get
            {
                return "ERRORMESSAGE";
            }
        }

        /// <summary>
        /// Message to display when something succeeded
        /// </summary>
        public static string SuccessMessage
        {
            get
            {
                return "SUCCESSMESSAGE";
            }
        }

        /// <summary>
        /// Security text
        /// </summary>
        public static string SecurityText
        {
            get
            {
                return "SECURITYCODE";
            }
        }
    }
}
