@ECHO OFF
REM Batch file for removing certain extra files and directories
ECHO **********************************************
ECHO * This utility will remove files and folders *
ECHO **********************************************
ECHO.
CHOICE/C YN /M "Are you sure you want to clean the folder '%CD%'?"
IF ERRORLEVEL 2 GOTO :no
IF ERRORLEVEL 1 GOTO :yes

:yes 

REM
REM Directories
REM

ECHO Removing directories...

REM CVS
FOR /F "tokens=*" %%G IN ('DIR /B /AD /S *CVS') DO RMDIR /S /Q "%%G"

REM .svn
FOR /F "tokens=*" %%G IN ('DIR /B /AD /S *.svn') DO RMDIR /S /Q "%%G"

REM bin
FOR /F "tokens=*" %%G IN ('DIR /B /AD /S *bin') DO RMDIR /S /Q "%%G"

REM obj
FOR /F "tokens=*" %%G IN ('DIR /B /AD /S *obj') DO RMDIR /S /Q "%%G"


REM
REM Files
REM
ECHO Removing files...

REM *.user
FOR /F "tokens=*" %%G IN ('DIR /B /S *.user*') DO DEL /S /Q "%%G"

REM .#*
FOR /F "tokens=*" %%G IN ('DIR /B /AD /S .#*') DO DEL /S /Q "%%G"

REM *.bak
FOR /F "tokens=*" %%G IN ('DIR /B /AD /S *.bak') DO DEL /S /Q "%%G"

REM *.cache
FOR /F "tokens=*" %%G IN ('DIR /B /AD /S *.cache') DO DEL /S /Q "%%G"

GOTO :end

:no
echo Folder was NOT cleaned.
GOTO :end
:end 
echo Finished.